<?php
require_once("../../Web_Admin/Conexion.php");
require_once("../../Operaciones/Class_Fecha.php");
class Busca_Guias{
	protected $NumGuia;
	function __construct($NumGuia)
	{
		$this->NumGuia = $NumGuia;
	}
	public function Busca_Fol(){
		$db = new Conexion();
		$SSql=$db->query("select B.Id_blocks, B.F_inicio, B.F_final, A.Fecha_Asig, (select Fecha_alta from Prod_Guias_Comite.O_Folios_Hist where F_inicio <= B.Id_blocks and F_final >=B.Id_blocks) AS Fecha_Comite, C.Fecha_Cap, C.Fecha_Emi, C.Fecha_EntComite, C.Fecha_EntUnion, C.Ruta, D.nombre, C.Act, D.id from Prod_Guias_Union.O_Asig_block_Gan A inner join (select Id_blocks, F_inicio, F_final from Prod_Guias_Comite.O_Blocks where F_inicio <= $this->NumGuia and F_final >=$this->NumGuia) B on A.Id_block = B.Id_blocks inner join Prod_Guias_Union.O_Folios_Asig C on C.Folio=$this->NumGuia inner join Prod_Guias_Union.C_Municipios D on C.Id=D.id");
		$dato=$db->recorrer($SSql);
		if($dato){
		$dato=array('Block'=>$dato['Id_blocks'], 'F_inicio'=>$dato['F_inicio'], 'F_final'=>$dato['F_final'], 'AGL'=>$dato['nombre'], 'Fecha_Asig'=>$dato['Fecha_Asig'], 'Fecha_Comite'=>$dato['Fecha_Comite'], 'Fecha_Cap'=>$dato['Fecha_Cap'], 'FechaEmi'=>$dato['Fecha_Emi'], 'Fecha_EntComite'=>$dato['Fecha_EntComite'], 'Fecha_EntUnion'=>$dato['Fecha_EntUnion'],'Status'=>$dato['Act'],'FileUp'=>strlen($dato['Ruta']), 'Sql_Test'=>$dato['id']);
			
			echo json_encode($dato);
		}
	}
	public function Registrar(){
		
		$db=new Conexion();
		$Fecha=date('Y-m-d H:i:s');
		$SSql="Update Prod_Guias_Union.O_Folios_Asig set Fecha_EntUnion= '$Fecha', Act=5 where Folio=$this->NumGuia";
		if($db->query($SSql)){
			$dato=array('Error'=>0,'Status'=>'Se Actualizo Correctamente');
		}else{
			$dato=array('Error'=>1,'Status'=>'ERROR: No se realizo la actualización');
		}
		//$dato=array('Error'=>0,'Status'=>'Se Actualizo Correctamente','Fecha'=>$SSql);
		echo json_encode($dato);
	}
	
	public function Autoriza($Agl){
		
		$db=new Conexion();
		$sql=$db->query("select upper(B.nombre) nombre, count(A.Folio) TotFol, sum(if(A.Act=0,1,0)) SinUso, sum(if(A.Act >=1 ,1,0)) Usados, sum(if(A.Ruta='',0,1)) FileUp, B.Autorizados from Prod_Guias_Union.O_Folios_Asig A inner join Prod_Guias_Union.C_Municipios B on B.id= A.Id where A.Id=$Agl");
		$row=$db->recorrer($sql);
		if($row){
			$dato=array('Error'=>0,'TotFol'=>$row['TotFol'],'SinUso'=>$row['SinUso'],'Usados'=>$row['Usados'],'FileUp'=>$row['FileUp'], 'Autorizado'=>$row['Autorizados'],'Nombre'=>$row['nombre']);
		}else{
			$dato=array('Error'=>1,'Status'=>'Error de consulta');
		}
		
		echo json_encode($dato);
	}
	
	
	
} //* * * Fin de Class